<?php // Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');
if ( post_password_required() ) { ?>
	<p>This post is password protected. Enter the password to view comments.</p>
<?php
	return;
}
?>

<?php
if ( have_comments() ) : ?>
		<?php if ( ! empty($comments_by_type['comment']) ) : ?>
		<h2><?php comments_number('No Comments', 'One Comment', '% Comments' );?></h2>
				<ol id="singlecomments">
					<?php wp_list_comments('type=comment&callback=mytheme_comment'); ?>
				</ol>
		<?php endif; ?>
	
		<?php if ( ! empty($comments_by_type['pings']) ) : ?>
		<h2>Trackbacks/Pingbacks</h2>
				<ol class="pinglist">
					<?php wp_list_comments('type=pings&callback=list_pings'); ?>
				</ol>
		<?php endif; ?>
			<div class="navigation">
				<div class="alignleft"><?php previous_comments_link() ?></div>
				<div class="alignright"><?php next_comments_link() ?></div>
			</div>
			
<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	<?php else : // comments are closed ?>
		<!-- If comments are closed. -->
<h3>Comments are closed</h3>

	<?php endif; ?>
<?php endif; ?>


	<?php 	if ('open' == $post-> comment_status) : // show the form ?>
	<div id="respond"><h2><?php comment_form_title(); ?></h2>
			<div id="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></div>

		<?php if ( get_option('comment_registration') && !$user_ID ) : ?>

		<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>

		<?php else : ?>

		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>.
<a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out »</a></p>

<?php else : ?>
<p><label for="author">Name <?php if ($req) echo "*"; ?></label>
<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" /></p>

<p><label for="email">Email <?php if ($req) echo "*"; ?></label>
<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" /></p>

<p><label for="url">Website</label>
<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" /></p>


<?php endif; ?>


<?php comment_id_fields(); ?>
<input type="hidden" name="redirect_to" value="<?php echo htmlspecialchars($_SERVER["REQUEST_URI"]); ?>" />


<p><textarea name="comment" id="comment" cols="10" rows="10" tabindex="4"></textarea></p>

<?php if (get_option("comment_moderation") == "1") { ?>
 <p class="small"><strong>Comment moderation is enabled and may delay your comment.</strong></p>
<?php } ?>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" /></p>
<?php do_action('comment_form', $post->ID); ?>

</form>
</div>
<?php endif; ?>


<?php endif;
